package com.javaproxy;

import android.content.Context;
import android.content.ContextWrapper;
import android.view.LayoutInflater;

/* loaded from: com_javaproxy.jar:com/javaproxy/LayoutInflaterProxyContext.class */
public class LayoutInflaterProxyContext extends ContextWrapper {
    private LayoutInflater mInflater;

    public LayoutInflaterProxyContext(Context base) {
        super(base);
    }

    @Override // android.content.ContextWrapper, android.content.Context
    public Object getSystemService(String name) {
        if ("layout_inflater".equals(name)) {
            if (this.mInflater == null) {
                this.mInflater = LayoutInflater.from(getBaseContext()).cloneInContext(this);
            }
            return this.mInflater;
        }
        return super.getSystemService(name);
    }
}
